#include "StdAfx.h"
#include "GeneralForm.h"
#include "MainForm.h"

using namespace VaxTeleConfigSIP;

void GeneralForm::GeneralForm_Load(System::Object^  sender, System::EventArgs^  e) 
{
	MainForm::m_objMainForm->SendCommand("GetHoldMusic");
	MainForm::m_objMainForm->SendCommand("GetDialToneMusic");
    MainForm::m_objMainForm->SendCommand("GetStealthMusic");

	MainForm::m_objMainForm->SendCommand("GetCOMM");
	MainForm::m_objMainForm->SendCommand("StatusServerSIP");

	MainForm::m_objMainForm->SendCommand("GetCallCount");
	MainForm::m_objMainForm->SendCommand("GetUserCount");
	MainForm::m_objMainForm->SendCommand("GetUsageCPU");
	MainForm::m_objMainForm->SendCommand("GetAvailMEM");

	 TimerGeneral->Enabled = true;
}

void GeneralForm::OnTelnetCommand(String^ sCommand, ArrayList^ objParamList)
 {
	 if (String::Compare(sCommand, "GetHoldMusic", true) == 0 && objParamList->Count == 1)
     {
         EditPlayWaveHold->Text = (String^) objParamList[0];
         return;
     }

	 if (String::Compare(sCommand, "GetDialToneMusic", true) == 0 && objParamList->Count == 1)
     {
         EditPlayWaveDialTone->Text = (String^) objParamList[0];
         return;
     }

	 if (String::Compare(sCommand, "GetStealthMusic", true) == 0 && objParamList->Count == 1)
     {
         EditPlayWaveStealthListener->Text = (String^) objParamList[0];
         return;
     }
	
	 if (String::Compare(sCommand, "GetCOMM", true) == 0 && objParamList->Count == 3)
     {
         EditListenIP->Text = (String^)objParamList[0];
         EditListenPort->Text = (String^)objParamList[1];
         EditDomainRealm->Text = (String^)objParamList[2];
         return;
     }

	 if (String::Compare(sCommand, "SetCOMM", true) == 0 && objParamList->Count == 3)
         return;

	 if (String::Compare(sCommand, "StatusServerSIP", true) == 0 && objParamList->Count == 1)
     {
         String^ sStatus = (String^) objParamList[0];
         LabelServerStatus->Text = sStatus->ToUpper();

         return;
     }

     if (String::Compare(sCommand, "GetCallCount", true) == 0 && objParamList->Count == 1)
     {
         LabelTotalCalls->Text = (String^) objParamList[0];
         return;
     }

     if (String::Compare(sCommand, "GetUserCount", true) == 0 && objParamList->Count == 1)
     {
         LabelTotalUsers->Text = (String^) objParamList[0];
         return;
     }

     if (String::Compare(sCommand, "GetUsageCPU", true) == 0 && objParamList->Count == 1)
     {
         LabelUsageCPU->Text = (String^) objParamList[0];
         return;
     }

     if (String::Compare(sCommand, "GetAvailMEM", true) == 0 && objParamList->Count == 1)
     {
         LabelUsageMEM->Text = (String^) objParamList[0];
         return;
     }
     
 }

void GeneralForm::BtnStartServerSIP_Click(System::Object^  sender, System::EventArgs^  e)
{
	ArrayList^ objParamList = gcnew ArrayList();

	objParamList->Add(EditPlayWaveHold->Text);
	MainForm::m_objMainForm->SendCommand("SetHoldMusic", objParamList);

	objParamList->Clear();
	objParamList->Add(EditPlayWaveDialTone->Text);
	MainForm::m_objMainForm->SendCommand("SetDialToneMusic", objParamList);

	objParamList->Clear();
	objParamList->Add(EditPlayWaveStealthListener->Text);
	MainForm::m_objMainForm->SendCommand("SetStealthMusic", objParamList);

	objParamList->Clear();
	objParamList->Add(EditListenIP->Text);
	objParamList->Add(EditListenPort->Text);
	objParamList->Add(EditDomainRealm->Text);

	MainForm::m_objMainForm->SendCommand("SetCOMM", objParamList);
	MainForm::m_objMainForm->SendCommand("ServerStart");
}

void GeneralForm::BtnStopServerSIP_Click(System::Object^  sender, System::EventArgs^  e)
{
	MainForm::m_objMainForm->SendCommand("ServerStop");
}

void GeneralForm::TimerGeneral_Tick(System::Object^  sender, System::EventArgs^  e) 
{
	MainForm::m_objMainForm->SendCommand("GetCallCount");
    MainForm::m_objMainForm->SendCommand("GetUserCount");
    MainForm::m_objMainForm->SendCommand("GetUsageCPU");
    MainForm::m_objMainForm->SendCommand("GetAvailMEM");
}
