// TransferCallEvent.cpp: implementation of the CTransferCallEvent class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ServerSIP.h"
#include "TransferCallEvent.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CTransferCallEvent::CTransferCallEvent()
{

}

CTransferCallEvent::~CTransferCallEvent()
{

}

void CTransferCallEvent::OnTransferCallBlind(CCallData* pCallData, LPCTSTR sTransferee, LPCTSTR sTransferTo, LPCTSTR sTransferToURI) 
{
	CCallData* pBindCallData = pCallData->m_pBindCallData;
	
	CServerSIP::m_pServerSIP->TransferCallAccept(pCallData);
	CServerSIP::m_pServerSIP->CloseCall(pCallData);

	CCallData* pDialCallData = CServerSIP::m_pServerSIP->DialCallToUser(pBindCallData, sTransferTo);
	
	if(pDialCallData == NULL)
	{
		CServerSIP::m_pServerSIP->CloseCall(pBindCallData);
	}
}

void CTransferCallEvent::OnTransferCallAttend(CCallData* pCallData, CCallData* pTransferToCallData) 
{
	CCallData* pBindCallData = pCallData->m_pBindCallData;
	
	CServerSIP::m_pServerSIP->TransferCallAccept(pCallData);
	CServerSIP::m_pServerSIP->CloseCall(pCallData);

	CCallData* pTransferToBindCallData = pTransferToCallData->m_pBindCallData;
	CServerSIP::m_pServerSIP->CloseCall(pTransferToCallData);

	CServerSIP::m_pServerSIP->BindTwoCall(pBindCallData, pTransferToBindCallData);
	CServerSIP::m_pServerSIP->StartVoiceStream(pBindCallData, pTransferToBindCallData);
}
