using System;
using System.Collections;
using System.Text;


class cTransferCallEvent
{
    public void OnTransferCallBlind(ref cCallData objCallData, string sTransferee, string sTransferTo, string sTransferToURI)
    {
        cCallData objBindCallData = objCallData.m_objBindCallData;

        cServerSIP.m_objServerSIP.TransferCallAccept(ref objCallData);
        cServerSIP.m_objServerSIP.CloseCall(ref objCallData);

        cCallData objDialCallData = cServerSIP.m_objServerSIP.DialCallToUser(ref objBindCallData, sTransferTo);

        if(objDialCallData == null)
        {
            cServerSIP.m_objServerSIP.CloseCall(ref objBindCallData);
        }
    }

    public void OnTransferCallAttend(ref cCallData objCallData, ref cCallData objTransferToCallData)
    {
        cCallData objBindCallData = objCallData.m_objBindCallData;

        cServerSIP.m_objServerSIP.TransferCallAccept(ref objCallData);
        cServerSIP.m_objServerSIP.CloseCall(ref objCallData);

        cCallData objTransferToBindCallData = objTransferToCallData.m_objBindCallData;
        cServerSIP.m_objServerSIP.CloseCall(ref objTransferToBindCallData);

        cServerSIP.m_objServerSIP.BindTwoCall(ref objBindCallData, ref objTransferToBindCallData);
        cServerSIP.m_objServerSIP.StartVoiceStream(ref objBindCallData, ref objTransferToBindCallData);
    }
}

