using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.ServiceProcess;
using System.Text;


namespace VaxTeleServiceSIP
{
    public partial class Service : ServiceBase
    {
        cTelnetServer m_objTelnetServer = null;
        cServerSIP m_objServerSIP = null;

        public Service()
        {
            InitializeComponent();
        }

        protected override void OnStart(string[] args)
        {
            m_objTelnetServer = new cTelnetServer();
            m_objServerSIP = new cServerSIP();

            m_objTelnetServer.StartServer();
            m_objServerSIP.StartServerSIP();
        }

        protected override void OnStop()
        {
            m_objServerSIP.StopServerSIP();
            m_objTelnetServer.StopServer();

            m_objServerSIP = null;
            m_objTelnetServer = null;
        }
    }
}
